Skip to main content
PATCH
/
v2
/
pronunciation-dictionaries
/
{dictionary_id}
curl --request PATCH \ --url https://tavusapi.com/v2/pronunciation-dictionaries/{dictionary_id} \ --header 'Content-Type: application/json' \ --header 'x-api-key: <api-key>' \ --data ' [ { "op": "replace", "path": "/name", "value": "Updated Brand Terms" } ] '
{
  "pronunciation_dictionary_id": "pd_abc123def456gh",
  "name": "Updated Brand Terms",
  "rules": [
    {
      "text": "Tavus",
      "pronunciation": "TAH-vus",
      "type": "alias",
      "case_sensitive": false,
      "word_boundaries": true
    }
  ],
  "rules_count": 1,
  "created_at": "2025-01-15T10:30:00Z",
  "updated_at": "2025-01-15T12:00:00Z"
}

Authorizations

x-api-key
string
header
required

Path Parameters

dictionary_id
string
required

The unique identifier of the pronunciation dictionary.

Body

application/json
op
enum<string>
required

The operation to perform. Must be one of: add, remove, replace, copy, move, test

Available options:
add,
remove,
replace,
copy,
move,
test
Example:

"replace"

path
string
required

A JSON Pointer string that references a location within the target document where the operation is performed. Supported paths: /name, /rules.

Example:

"/name"

value
any

The value to be used within the operation. Required unless using remove.

Response

Pronunciation dictionary updated successfully

pronunciation_dictionary_id
string

Unique identifier for the pronunciation dictionary.

Example:

"pd_abc123def456gh"

name
string

Name of the pronunciation dictionary.

Example:

"Updated Brand Terms"

rules
object[]

List of pronunciation rules.

rules_count
integer

Number of rules in the dictionary.

Example:

1

created_at
string

ISO 8601 timestamp of when the dictionary was created.

Example:

"2025-01-15T10:30:00Z"

updated_at
string

ISO 8601 timestamp of when the dictionary was last updated.

Example:

"2025-01-15T12:00:00Z"